#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    "pipenv",
    "packaging",
    "pyyaml",
    "toml",
    "six",
]

setup(
    name='dparse2',
    version='0.5.0.3',
    description="A parser for Python dependency files. Temp fork for Python 2 support.",
    long_description=readme + '\n\n' + history,
    author="Jannis Gebauer",
    author_email='jay@pyup.io',
    url='https://github.com/nexB/dparse',
    packages=find_packages(include=['dparse']),
    include_package_data=True,
    install_requires=requirements,
    license="MIT license",
    zip_safe=False,
    keywords='dparse',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    extras_require={
        'pipenv':  ["pipenv"],
    }
)
